For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verifiers and public info

Gets all verifiers in a trust registry by schema ID

get
/trust-registries/{registryId}/verifiers
Path parameters
registryIdstringRequired

A trust registry id

Query parameters
schemaIdstringRequired

A schema ID

Responses
200

Public info of trust registry

application/json
string[]Optional

List of DID strings

get/trust-registries/{registryId}/verifiers
GET /trust-registries/{registryId}/verifiers?schemaId=text HTTP/1.1
Host: api-testnet.truvera.io
Accept: */*
[
  "text"
]

Get public information about a trust registry

get
/trust-registries/{registryId}/public
Path parameters
registryIdstringRequired

A trust registry id

Responses
200

Public info of trust registry

application/json
idstringRequired

Trust registry ID

Example: 0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d
convenerstring · max: 512Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
convenerNamestringOptional

Convener name

Example: Truvera
convenerLogoUrlstringOptional

Convener logo URL

Example: https://logo.truvera.io/convener
slugstringOptional

Trust registry slug

Example: truvera-example-ecosystem-1
noncestringOptional

Trust registry nonce

Example: 0x57aecb3863404812
createdstring · date-timeRequired
namestringRequired

Trust registry name

Example: Truvera Example Ecosystem
descriptionstringRequired

Trust registry description

Example: Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.
logoUrlstring · uri · max: 2048Required

Trust registry logo URL

Example: https://logo.truvera.io/trust-registry
ecosystemUrlstring · uri · max: 2048Required

Trust registry ecosystem URL

Example: https://ecosystem.truvera.io
governanceFrameworkstringRequired

Trust registry governance framework

Example: Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.
governanceFrameworkVersionstringRequired

Trust registry governance framework version

Example: 1.0.0
issuerCountintegerOptional

Trust registry issuer count

Example: 10
verifierCountintegerOptional

Trust registry verifier count

Example: 5
get/trust-registries/{registryId}/public
GET /trust-registries/{registryId}/public HTTP/1.1
Host: api-testnet.truvera.io
Accept: */*
{
  "id": "0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d",
  "convener": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
  "convenerName": "Truvera",
  "convenerLogoUrl": "https://logo.truvera.io/convener",
  "slug": "truvera-example-ecosystem-1",
  "nonce": "0x57aecb3863404812",
  "created": "2026-01-01T00:00:00.000Z",
  "name": "Truvera Example Ecosystem",
  "description": "Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.",
  "logoUrl": "https://logo.truvera.io/trust-registry",
  "ecosystemUrl": "https://ecosystem.truvera.io",
  "governanceFramework": "Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.",
  "governanceFrameworkVersion": "1.0.0",
  "issuerCount": 10,
  "verifierCount": 5
}

Last updated

Was this helpful?